unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Shape1: TShape;
    Button1: TButton;
    Button2: TButton;
    Timer1: TTimer;
    ScrollBar1: TScrollBar;
    ScrollBar2: TScrollBar;
    ScrollBar3: TScrollBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
    procedure ScrollBar3Change(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}
var
dx, dy: integer;

procedure TForm1.Button1Click(Sender: TObject);
begin
timer1.Enabled:=true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
timer1.Enabled:=false;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
with shape1 do begin
if (left<=0) or (left+width>=panel1.width)
then begin dx:=-dx;
shape1.brush.color:=clLime;
end;
left:=left+dx;
if (top<=0) or (top+height>=panel1.Height)
then begin dy:=-dy;
shape1.brush.color:=clred;
end;
top:=top+dy;
end;

end;



procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
dx:=ScrollBar1.Position;
end;

procedure TForm1.ScrollBar2Change(Sender: TObject);
begin
dy:=ScrollBar2.Position;
end;

procedure TForm1.ScrollBar3Change(Sender: TObject);
begin
Timer1.Interval:=ScrollBar3.Position;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
Shape1.left:=1;
Shape1.Top:=1;
end;

procedure TForm1.N1Click(Sender: TObject);
begin
form1.Close;
end;

procedure TForm1.N2Click(Sender: TObject);
begin
aboutbox.showmodal;
end;

procedure TForm1.N3Click(Sender: TObject);
begin
Form3.ShowModal;
end;

end.
